# Generated by Django 2.0.5 on 2018-08-29 11:34

import django.db.models.deletion
from django.db import migrations, models

import accounts.models


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0038_update_group_names'),
    ]

    operations = [
        migrations.AlterField(
            model_name='user',
            name='email',
            field=models.EmailField(max_length=254),
        ),
        migrations.AlterUniqueTogether(
            name='customer',
            unique_together={('provider', 'crm_id'), ('name', 'provider')},
        ),
        migrations.AlterField(
            model_name='customer',
            name='crm_id',
            field=models.PositiveIntegerField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='modelsyncmeta',
            name='provider',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='accounts.Provider'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='provider',
            name='colour_code',
            field=models.CharField(blank=True, max_length=10, null=True),
        ),
        migrations.AlterField(
            model_name='provider',
            name='logo',
            field=models.ImageField(blank=True, null=True, upload_to=accounts.models.logo_upload_url),
        ),
        migrations.AlterField(
            model_name='provider',
            name='logo',
            field=models.ImageField(blank=True, null=True, storage=accounts.models.OverwriteStorage(), upload_to=accounts.models.logo_upload_url),
        ),
    ]
